(* $Header:   P:/source/cwright/addons/pascal/cwconst.pav   1.0   02 Nov 1994 15:05:40   MarvinD  $ *)
(*
 *
 *                     Copyright 1991 Starbase Corp.
 *                        All rights reserved
 *
 *    This source code is provided to the purchaser of the product
 *    for the purpose of allowing the purchaser to customize and/or
 *    extend the functionality of the product.  The source code as
 *    remains the property of Starbase Corp. with all rights reserved.
 *    Any modifications to the source code are considered derivative
 *    works and all rights thereto are reserved to Starbase Corp. except
 *    that the purchaser may use the modified product in the same
 *    permitted manner as the unmodified product.  It is expressly
 *    prohibited to distribute in any manner any part of the original
 *    source code, whether in source or object form, without the
 *    express written permission from Starbase Corp.
 *
 *                           Starbase Corp.
 *                        17070 NW Corey Rd.
 *                        Cornelius OR 97113
 *
 *)

Unit CWCONST;

Interface

CONST
	FALSE= 			0;
	TRUE= 			1;
	OF_READ=  	    $0000;
	OF_WRITE= 	    $0001;
	OF_READWRITE= 	$0002;
	MARK_LOCAL= 				$0000;
	MARK_GLOBAL= 				$2000;
	MARK_POSITION= 			$4000;
	MARK_SELECTION= 			$6000;
	MARK_SYSTEM= 				$8000;
	MARK_TYPE_MASK= 			$e000;
	MARK_ID_MASK= 			$0fff;
	MARK_INVALID= 			$ffff;
	SELECTION_NONE= 			0;
	SELECTION_INCLUSIVE= 		1;
	SELECTION_EXCLUSIVE= 		2;
	SELECTION_LINE= 			3;
	SELECTION_COLUMN= 		4;
	BUFFER_OVERTYPE_MODE= 	$00000001	(* overtype instead of insert *);
	BUFFER_VIRTUAL_LINES=     $00000002	(* allow virtual lines *);
	BUFFER_USE_TABS= 			$00000004	(* use tabs instead of spaces *);
	BUFFER_AUTO_INDENT= 		$00000008	(* auto-indent on inserting EOL *);
	BUFFER_CTRL_Z_EOF=        $00000010	(* interpret ctrl-z as EOF on input *);
	BUFFER_WRITE_CTRL_Z= 		$00000020	(* append ctrl-z on files written *);
	BUFFER_UNIX_EOL= 			$00000040	(* use newline only *);
	BUFFER_BACKUP= 			$00000080	(* make backups *);
	BUFFER_READ_ONLY= 		$00000100	(* no mods allowed *);
	BUFFER_INDENT_PENDING= 	$00000200	(* auto-indentation pending *);
	BUFFER_UNDO= 				$00000400	(* save undo information *);
	BUFFER_FLAGS_MASK= 		$0000ffff	(* to protect the read-only flags *);
	BUFFER_HEX_BIN=           $00010000	(* cursor in hex display of hex mode *);
	BUFFER_HEX_ASCII=         $00020000	(* cursor in ascii display of hex mode *);
	BUFFER_HEX_LO=            $00040000	(* cursor on lo nibble of hex value *);
	BUFFER_COMPACT=           $00080000	(* compaction display mode *);
	BUFFER_VIEW_MODE=         $000F0000	(* mode mask *);
	BUFFER_UNDO_RECORDED=     $04000000 (* undo has been recorded *);
	BUFFER_PAST_EOLN=         $08000000	(* current posn past end of line *);
	BUFFER_MODIFIED= 		$10000000	(* changed since last write *);
	BUFFER_NOT_SAVED= 		$20000000	(* changed since last save *);
	BUFFER_PRECIOUS= 		$40000000	(* do not delete *);
	BUFFER_SYSTEM=          $80000000	(* system instead of normal buffer *);
	BUFFER_EDITED= 			(BUFFER_MODIFIED+BUFFER_NOT_SAVED);
	MESSAGE_MSG_LEVEL=      0;
	WARNING_MSG_LEVEL=      1;
	ERROR_MSG_LEVEL=        2;
	ABORT_MSG_LEVEL=        3;
	EVENT_SYS_OFFSET= 			1024;
	EVENT_USR_OFFSET= 			0;
	EVENT_NCMOUSE_PRESS=      EVENT_SYS_OFFSET+0  (* WM_... mouse message *);
	EVENT_KEY_UNASSIGNED= 	EVENT_SYS_OFFSET+1	(* keycode *);
	EVENT_KEY_PRESSED= 		EVENT_SYS_OFFSET+2	(* ptr to char *);
	EVENT_INSERT_CHAR= 		EVENT_SYS_OFFSET+3	(** ptr to char *);
	EVENT_CHAR_INSERTED= 		EVENT_SYS_OFFSET+4	(* ptr to char *);
	EVENT_INSERT_EOL= 		EVENT_SYS_OFFSET+5	(** none *);
	EVENT_EOL_INSERTED= 		EVENT_SYS_OFFSET+6	(* none *);
	EVENT_INVALID_RESPONSE= 	EVENT_SYS_OFFSET+7	(* ptr to keycode *);
	EVENT_BUFFER_CREATED= 	EVENT_SYS_OFFSET+8 	(* buffer handle *);
	EVENT_BUFFER_DELETE= 		EVENT_SYS_OFFSET+9 	(** buffer handle *);
	EVENT_BUFFER_CURRENT= 	EVENT_SYS_OFFSET+10	(* none *);
	EVENT_BUFFER_UNCURRENT= 	EVENT_SYS_OFFSET+11	(** none *);
	EVENT_WINDOW_CURRENT= 	EVENT_SYS_OFFSET+12	(* none *);
	EVENT_WINDOW_UNCURRENT= 	EVENT_SYS_OFFSET+13	(** none *);
	EVENT_READY_TO_READ= 		EVENT_SYS_OFFSET+14	(** ptr to ptr to filename *);
	EVENT_FILE_READ= 			EVENT_SYS_OFFSET+15	(* ptr to filename *);
	EVENT_READY_TO_WRITE= 	EVENT_SYS_OFFSET+16	(** ptr to ptr to filename *);
	EVENT_BUFFER_SAVED= 		EVENT_SYS_OFFSET+17	(* ptr to filename *);
	EVENT_TMP_SPACE_FULL=     EVENT_SYS_OFFSET+18 (* none *);
	EVENT_EXIT_SHUTDOWN= 		EVENT_SYS_OFFSET+19	(** none *);
	EVENT_EDIT_READ_ONLY= 	EVENT_SYS_OFFSET+20	(* none *);
	EVENT_AUTO_INDENT= 		EVENT_SYS_OFFSET+21	(* none *);
	EVENT_LINES_INSERTED= 	EVENT_SYS_OFFSET+22	(* ptr to #, cnt *);
	EVENT_LINES_DELETED= 		EVENT_SYS_OFFSET+23	(* ptr to #, cnt *);
	EVENT_BUFFER_CLEARED= 	EVENT_SYS_OFFSET+24	(* none *);
	EVENT_FILENAME_CHANGED= 	EVENT_SYS_OFFSET+25	(* none *);
	EVENT_WINDOW_CREATED= 	EVENT_SYS_OFFSET+26	(* window handle *);
	EVENT_WINDOW_DELETE= 		EVENT_SYS_OFFSET+27	(* window handle *);
	EVENT_DLG_CTLCOLOR=       EVENT_SYS_OFFSET+28	(* ptr to wParm, lParam *);
	EVENT_LINES_CHANGED=      EVENT_SYS_OFFSET+29 (* ptr to #, cnt *);
	EVENT_BUFFER_RELOADED=    EVENT_SYS_OFFSET+30 (* none *);
	EVENT_NORMAL= 				$00	(* no conditions *);
	EVENT_FIRST= 					$01	(* must be first in list *);
	EVENT_LAST= 					$02	(* must be last in list *);
	EVENT_ONLY= 					$04	(* no compatriots allowed *);
	EVENT_PERMANENT= 				$08	(* can't be replaced *);
	ID_VOID=      0   (* void     *);
	ID_DWORD=     1   (* DWORD    *);
	ID_STRING=    2   (* string   *);
	ID_LSTRING=   3   (* string * *);
	ID_WORD=      4   (* WORD     *);
	ID_LPVOID=    5   (* void *   *);
	ID_LONG=      6   (* long     *);
	ID_INT=       7   (* int      *);
	ID_SHORT=     8   (* short    *);
	ID_KMAP=      9   (* HKEYMAP  *);
	ID_LPLONG=    10  (* long *   *);
	ID_WIN=       11  (* HWINDOW  *);
	ID_BUF=       12  (* HBUFFER  *);
	ID_BOOL=      13  (* BOOL     *);
	ID_ERRCODE=   14  (* ERRCODE  *);
	DEFAULT_COLOR_TEXT=                  1;
	DEFAULT_COLOR_SELECTION=             2;
	DEFAULT_COLOR_LINENUMBERS=           3;
	DEFAULT_WINDOW_KEYMAP=              10;
	DEFAULT_WINDOW_FONT=                11;
	DEFAULT_WINDOW_SYSFLAGS=            12;
	DEFAULT_WINDOW_USERFLAGS=           13;
	DEFAULT_WINDOW_HINC=                14;
	DEFAULT_WINDOW_VIS_EOF=             15;
	DEFAULT_WINDOW_VIS_EOL=             16;
	DEFAULT_WINDOW_VIS_ELISION=         17;
	DEFAULT_WINDOW_VIS_SPACES=          18;
	DEFAULT_WINDOW_VIS_TABS=            19;
	DEFAULT_WINDOW_VIS_VIRTLINES=       20;
	DEFAULT_WINDOW_VIS_VIRTSPACES=      21;
	DEFAULT_WINDOW_VIS_MARGIN_COL=      22;
	DEFAULT_BUFFER_SYSFLAGS=            23;
	DEFAULT_BUFFER_MAX_VLINES=          24;
	DEFAULT_BUFFER_MAX_TAB=             25;
	DEFAULT_BUFFER_TABS=                26;
	DEFAULT_BUFFER_BACKUP_SPEC=         27;
	DEFAULT_WINDOW_LEFT_MARGIN=         28;
	DEFAULT_COLOR_COMMENTS=             29;
	DEFAULT_COLOR_DIFF_ADD_LINES=       30;
	DEFAULT_COLOR_DIFF_DEL_LINES=       31;
	DEFAULT_COLOR_INS_LINES=            32;
	DEFAULT_COLOR_KEYWORDS=             33;
	DEFAULT_COLOR_MOD_LINES=            34;
	HASH_NO_VAL= 			$0000	(* no bits specified *);
	HASH_IGN_CASE= 		$0001	(* case insensitive hash *);
	HASH_ALPHA= 			$0002	(* sort collision list in alpha order *);
	KEY_CTRL_CODE=       $0100;
	KEY_SHIFT_CODE=      $0200;
	KEY_ALT_CODE=        $0400;
	KEY_MOUSE_CODE=      $0800;
	KEY_ASCII_CODE=      $1000;
	MOUSE_LEFT_DOWN=          1;
	MOUSE_MIDDLE_DOWN=        2;
	MOUSE_RIGHT_DOWN=         3;
	MOUSE_LEFT_UP=            4 ;
	MOUSE_MIDDLE_UP=          5;
	MOUSE_RIGHT_UP=           6;
	MOUSE_LEFT_CLICK=         7;
	MOUSE_MIDDLE_CLICK=       8;
	MOUSE_RIGHT_CLICK=        9;
	MOUSE_LEFT_DBL_CLICK=     10;
	MOUSE_MIDDLE_DBL_CLICK=   11;
	MOUSE_RIGHT_DBL_CLICK=    12;
	LEFT_DOWN_MASK=      1;
	MIDDLE_DOWN_MASK=    2;
	RIGHT_DOWN_MASK=     4;
	EXEC_WINDOW_BACKGROUND=         $0001;
	EXEC_WINDOW_EXCLUSIVE=          $0002;
	EXEC_WINDOW_MINIMIZED=          $0004;
	EXEC_WINDOW_MAXIMIZED=          $0008;
	EXEC_WINDOW_HIDDEN=             $0010;
	WINDOW_SYSTEM=             $00000001;
	WINDOW_HIDDEN=             $00000002;
	WINDOW_HSCROLLBAR=         $00000004;
	WINDOW_VSCROLLBAR=         $00000008;
	WINDOW_MAXIMIZED=          $00000010;
	WINDOW_MINIMIZED=          $00000020;
	WINDOW_LINENUMBERS=        $00000040;
	WINDOW_SHOW_SKIPPED=       $00000080;
	WINDOW_NO_BORDER=          $00000100;
	WINDOW_NO_CAPTION=         $00000200;
	WINDOW_NOT_SIZEABLE=       $00000400;
	WINDOW_DLG_FRAME=          $00000800;
	WINDOW_NOT_DISPLAYABLE=    (WINDOW_MINIMIZED OR WINDOW_HIDDEN);
	WINDOW_RW_MASK=            ($0000FFFF);
	WINDOW_SIZE_DEFAULT=       $8000;
	SEARCH_IGCASE=        $0001  (* ignore character case         *);
	SEARCH_FORWARD=       $0002  (* forward searches              *);
	SEARCH_GLOBAL=        $0004  (* perform global replacement    *);
	SEARCH_PROMPT=        $0008  (* prompt user                   *);
	SEARCH_REGEX=         $00000010  (* perform a regex search        *);
	SEARCH_SELECTION=     $0020  (* restrict search to selection  *);
	SEARCH_WRAP=          $0040  (* search wraps to top of buffer *);
	SEARCH_MAXIMAL=       $0080  (* Maximal match flag            *);
	SEARCH_ONCE=          $0100  (* do one replacement and return *);
	ATTR_NORMAL=         $00	(* Normal file - No read/write restrictions *);
	ATTR_RDONLY=         $01	(* Read only file *);
	ATTR_HIDDEN=         $02	(* Hidden file *);
	ATTR_SYSTEM=         $04	(* System file *);
	ATTR_VOLID=          $08	(* Volume ID file *);
	ATTR_SUBDIR=         $10	(* Subdirectory *);
	ATTR_ARCH=           $20	(* Archive file *);
	ATTR_INVALID=        $40000000;
	ATTR_DOESNT_EXIST=   $80000000;
	ATTR_MASK=           (ATTR_NORMAL OR ATTR_RDONLY OR ATTR_HIDDEN OR ATTR_SUBDIR OR ATTR_ARCH);
	WIN_MAX_MARGIN= 			32;
	CARET_INSERT=              1;
	CARET_INSERT_VIRTUAL=      2;
	CARET_OVERTYPE=            3;
	CARET_OVERTYPE_VIRTUAL=    4;
	SYSFLAG_WIN_MINIMIZED=     $00000001;
	SYSFLAG_WIN_MAXIMIZED=     $00000002;
	SYSFLAG_AUTOSAVE_ENABLED=  $00000004;
	SYSFLAG_STATE_ENABLED=     $00000008;
	SYSFLAG_CMND_LINE_PROMPT=  $00000010;
	SYSFLAG_TRAP_SYS_KEYS=     $00000020;
	SYSFLAG_STATE_ALL_BUF=     $00000040;
	SYSFLAG_STATE_ALL_WIN=     $00000080;
	SYSFLAG_CLIPBOARD=         $00000100;
	SYSFLAG_NEW_WIN_FOR_BUF=   $00000200;
	SYSFLAG_MOUSE_WIN_CREATE=  $00000400;
	SYSFLAG_RETAIN_DIR=        $00000800;
	SYSFLAG_CONFIG_UPDATE=     $00001000;

Implementation

BEGIN
END.